Announcement

Collapse
No announcement yet.

MySQL Error: "All parts of a PRIMARY KEY must be NOT NULL..." <-- Read first!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • MySQL Error: "All parts of a PRIMARY KEY must be NOT NULL..." <-- Read first!

    This is a new error that it seems many people have been getting. Mostly on new installs.

    This was introduced when 3.5.1 came out. 3.5.1 is trying to improve compatability with the new MySQL 5. To do this, MySQL 3 support has been dropped. If you get this error it means you are running an ancient version of MySQL. MySQL 3.

    You MUST upgrade to at least a MySQL 4 series. If you don't, you will keep getting this error.

    Also note that most servers that use the Plesk Control Panel coem with MySQL 3. Your best bet is to avoid these servers. Many hosting companies have been using plesk for some reason. I recommend cPanel.


    If your host does not with to upgrade MySQL, you have 2 options:

    A) Switch Hosts
    B) Use vBulletin 3.5.0 or below (I think that will work)


  • #2
    MySQL 3 will still be supported for vB3.5.x, please see the following discussion: Error installing
    Want to take your board beyond the standard vBulletin features?
    Visit the official Member to Member support site for vBulletin Modifications: www.vbulletin.org

    Comment

    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
    Working...
    X